#include <bits/stdc++.h>

using namespace std;
map<int,int> fr1;
map<int,int> fr2;
std::vector<int> solve(std::vector<int> A)
{
    map<int,int> fr1;
    map<int,int> fr2;
    int n=A.size();
    for(int i=0;i<n;i++)
        fr1[A[i]]++;
    vector<int> sol,v1,v2;
    for(int i=0;i<n;i++)
    {
        if(fr2[A[i]]<fr1[A[i]]/2)
        {
            v1.push_back(i);
            fr2[A[i]]++;
        }
        else
            v2.push_back(i);
    }
    for(int i=0;i<v1.size();i++)
        sol.push_back(v1[i]);
    for(int i=0;i<v2.size();i++)
        sol.push_back(v2[i]);
    return sol;
}